# $Revision: 1.7.2.2 $, $Date: 2003/03/13 00:56:42 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Trigger
Summary:	%{pdir}::%{pnam} - Mixin to add / call inheritable triggers
Summary(pl):	%{pdir}::%{pnam} - dodawanie / woanie dziedziczalnych triggerw
Name:		perl-%{pdir}-%{pnam}
Version:	0.08
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::Trigger is a mixin class to add / call triggers (or hooks) that
get called at some points you specify.

%description -l pl
Class:Trigger jest klas suc do dodawania i wywoywania triggerw
(lub hookw), ktre s wywoywane w podanych miejscach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-Trigger.spec,v $
Revision 1.7.2.2  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7.2.1  2003/03/06 16:44:02  ankry
- autoupdated to 0.08

Revision 1.7  2003/02/28 10:08:14  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:37:39  radek
- use the __perl macro

Revision 1.5  2003/02/18 22:48:37  ankry
- autoupdated to 0.07

Revision 1.4  2003/02/18 15:28:11  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/11/08 17:59:26  radek
- version 0.06

Revision 1.2  2002/07/23 11:30:41  qboosh
- pl description

Revision 1.1  2002/07/22 21:29:52  radek
- new, STBR
